<?php
/**
 * @copyright (C) 2021 - 2022 Holger Brandt IT Solutions
 * @license GPL2
*/

if(!defined('ABSPATH')){
    exit;
}

abstract class WADA_View_BaseForm
{
    use WADA_View_BaseView;
    abstract protected function displayForm();
    abstract protected function handleFormSubmissions();

    public function execute(){
        $this->handleFormSubmissions();
        $this->displayMessages();
        $this->displayForm();
    }
}