<?php
/**
 * @copyright (C) 2021 - 2022 Holger Brandt IT Solutions
 * @license GPL2
*/

if(!defined('ABSPATH')){
    exit;
}

class WADA_ScriptUtils
{
    public static $basePath =  WP_PLUGIN_DIR . '/wp-admin-audit/assets/js';
    public static function loadTabs(){
        require_once(self::$basePath.'/tabs.php');
    }
    public static function loadCsvSepUtil(){
        require_once(self::$basePath.'/utils.php');
        $recognizeCsvSep = WADA_Script_Utils_CSV::getScript();
        wp_add_inline_script('wada_utils_csv_script', $recognizeCsvSep);
    }
}